> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact memories

> Retrieve all memories associated with a contact, sorted by importance.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/contacts/{contact_id}/memories
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/contacts/{contact_id}/memories:
    get:
      tags:
        - Orgs Contacts
      summary: Get contact memories
      description: Retrieve all memories associated with a contact, sorted by importance.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Contact ID
          name: contact_id
          in: path
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MemorySchema'
components:
  schemas:
    MemorySchema:
      type: object
      properties:
        id:
          type: string
        user_id:
          type: string
        contact_id:
          type: string
        content:
          type: string
          maxLength: 200
        type:
          $ref: '#/components/schemas/MemoryTypeSchema'
        importance:
          type: number
          minimum: 0
          maximum: 1
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - content
        - type
        - importance
        - created_at
        - updated_at
      description: >-
        A memory is a piece of information that the assistant can use to help
        the user.
    MemoryTypeSchema:
      type: string
      enum:
        - FACT
        - PREFERENCE
        - GOAL
        - EXPERIENCE
      description: The type of memory.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````